2018-10-19 14:17 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002213FSSCPOpenGLpublic2010-05-29 10:53
Reporterkir2yar 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSUbuntu Linux OS Version10.04
Product Version3.6.12 RC2 
Target VersionFixed in Version3.6.12 
Summary0002213: Broken render
DescriptionScreen shot: http://picasaweb.google.ru/lh/photo/qqV2LD_ZMtVRvc4SrcfIZw?feat=directlink

Effect is similar to the one that found BP-team
(http://www.hard-light.net/forums/index.php?topic=69103.0)

fs2_open_INF v3.6.13(SVN) - same effect
Steps To ReproduceSet time comp to 64x
Pick a target, then use padlock view.
Additional Information#uname -a
Linux yar 2.6.32-21-generic 0000032-Ubuntu SMP Fri Apr 16 08:10:02 UTC 2010 i686 GNU/Linux
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012011

The_E (administrator)

Last edited: 2010-05-28 18:37

Which mission did this happen in? Is it reproducable? What did you do in the mission? Also, when in the mission did this happen?

~0012013

kir2yar (reporter)

Last edited: 2010-05-29 04:22

From adv. form:
Steps To Reproduce
Set time comp to 64x
Pick a target, then use padlock view button.

Affect all misions.

~0012014

The_E (administrator)

Ah, I see. (God, this will be painful again....) For the time being, don't use those two functions together.

~0012016

taylor (administrator)

This needs to be checked by someone that knows the math and effect better, but changing chase_angles_to_value() to use flRealframetime instead of flFrametime appears to fix this and not break anything else.

~0012017

Wanderer (developer)

Just as a precaution should there be a check to make sure float 'sk' in chase_angles_to_value() function could never be a negative value (ie. clamp the 'sk' to 0 .. 1) ?

~0012019

taylor (administrator)

Yes, and after checking, that is the source of the problem. When the time compression gets above 16x it will make sk negative. I just tested it with flFrametime and CLAMP(sk, 0.0f, 1.0f) and it worked fine.

I think that I still like using flRealframetime better, as it's more fluid and doesn't snap around so much, but I'm not sure if it's actually the best option from a user standpoint. Either way, clamping the value should be done regardless as it is ultimately the correct fix and will prevent a similar issue in the future.

~0012023

Wanderer (developer)

Clamp and flRealframetime sounds ok.

~0012024

taylor (administrator)

All right, I'll go ahead and commit with those two changes.

~0012025

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-28 15:04 kir2yar New Issue
2010-05-28 15:04 kir2yar File Added: fs2_open.log
2010-05-28 17:25 The_E Note Added: 0012011
2010-05-28 18:37 The_E Note Edited: 0012011
2010-05-29 04:21 kir2yar Note Added: 0012013
2010-05-29 04:22 kir2yar Note Edited: 0012013
2010-05-29 04:22 kir2yar Note Edited: 0012013
2010-05-29 06:03 The_E Note Added: 0012014
2010-05-29 07:38 taylor Note Added: 0012016
2010-05-29 08:22 Wanderer Note Added: 0012017
2010-05-29 08:49 taylor Note Added: 0012019
2010-05-29 10:44 Wanderer Note Added: 0012023
2010-05-29 10:49 taylor Note Added: 0012024
2010-05-29 10:53 taylor Note Added: 0012025
2010-05-29 10:53 taylor Status new => resolved
2010-05-29 10:53 taylor Fixed in Version => 3.6.12
2010-05-29 10:53 taylor Resolution open => fixed
2010-05-29 10:53 taylor Assigned To => taylor
+Issue History